Subject: Re: bug#14742: 24.3.50; enhancement request: be able to prepend stuff from buffer when search backward

From: Juri Linkov <[email-masked]>
Date: Wed, 03 Jul 2013 02:53:00 +0300

>> > 3. To me, yanking stuff to the beginning is more important than
>> > deleting stuff from the beginning.  I was thinking either have a
>> > separate key (or set of keys) that is (are) analogous to the
>> > yank-at-end key(s) or else just reuse the same keys when searching
>> > backward.
>>
>> I have no idea about new keys, but I need this change to implement
>> yanking/deletion by motion keys (disabled by default).
>
> Dunno what that means.  Motion keys will yank or delete?
> Doesn't sound too good, a priori.
> Guess I missed the functional spec for that. ;-)

No one tried this feature, but surprisingly it's very convenient.
So I could implement only low-level support for this feature in isearch.el,
then more high-level commands could be implemented somewhere else.

> Why not just reuse the keys we already use to yank, but have them yank
> at the beginning when you search in reverse?  E.g.:
>
> C-w     - `isearch-yank-word-or-char', but at the beginning.
> C-y     - `isearch-yank-kill', but at the beginning.
> C-M-y   - `isearch-yank-char', but at the beginning.
> M-y     - `isearch-yank-pop', but at the beginning.
> M-x C-e - `isearch-yank-line', but at the beginning.
>
> Doesn't that seem natural?

No, unfortunately there keys are not natural.

> In Isearch+ I have even more than that for yanking.  I would much
> rather have a user be able to reuse the same keys in the opposite
> direction.

Do you mean a new boolean user option to define whether `C-M-y'
should yank but at the beginning/end in a reverse search?